Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 45036 - BitTornado does not install correctly
Summary: BitTornado does not install correctly
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High normal
Assignee: Jeremy Huddleston (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-18 09:35 UTC by Ryan Skadberg
Modified: 2004-03-18 09:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Skadberg 2004-03-18 09:35:57 UTC
One of the sed lines silently fails.  Here's the patch:

codewarrior bittornado # diff -u bittornado-0.0.1-r1.ebuild /usr/portage/net-p2p/bittornado/bittornado-0.0.1.ebuild
--- bittornado-0.0.1-r1.ebuild  2004-03-18 12:20:56.297428173 -0500
+++ /usr/portage/net-p2p/bittornado/bittornado-0.0.1.ebuild     2004-03-18 01:15:14.000000000 -0500
@@ -33,7 +33,7 @@
        unpack ${A}
        sed -i "s:os.path.abspath(os.path.dirname(sys.argv\[0\])):\"${PIXMAPLOC}/\":" ${S}/btdownloadgui.py || die "sed failure 1"
        sed -i "s:BitTorrent\.version:BitTornado.version:g" ${S}/setup.py || die "sed failure 2"
-       sed -i 's:packages = \["BitTornado"\],:packages = \["BitTornado","BitTornado.BT1"\],:g' ${S}/setup.py || die "sed failure 3"
+       sed -i 's:packages = ["BitTornado"],:packages = ["BitTornado","BitTornado.BT1"]:g' ${S}/setup.py || die "sed failure 3"
 }
  
 src_install() {
Comment 1 Ryan Skadberg 2004-03-18 09:37:59 UTC
Damnit, did the diff backwards, here's the correct one.

codewarrior bittornado # diff -u /usr/portage/net-p2p/bittornado/bittornado-0.0.1.ebuild ./bittornado-0.0.1-r1.ebuild
--- /usr/portage/net-p2p/bittornado/bittornado-0.0.1.ebuild     2004-03-18 01:15:14.000000000 -0500
+++ ./bittornado-0.0.1-r1.ebuild        2004-03-18 12:20:56.000000000 -0500
@@ -33,7 +33,7 @@
        unpack ${A}
        sed -i "s:os.path.abspath(os.path.dirname(sys.argv\[0\])):\"${PIXMAPLOC}/\":" ${S}/btdownloadgui.py || die "sed failure 1"
        sed -i "s:BitTorrent\.version:BitTornado.version:g" ${S}/setup.py || die "sed failure 2"
-       sed -i 's:packages = ["BitTornado"],:packages = ["BitTornado","BitTornado.BT1"]:g' ${S}/setup.py || die "sed failure 3"
+       sed -i 's:packages = \["BitTornado"\],:packages = \["BitTornado","BitTornado.BT1"\],:g' ${S}/setup.py || die "sed failure 3"
 }
  
 src_install() {
Comment 2 Jeremy Huddleston (RETIRED) gentoo-dev 2004-03-18 09:54:50 UTC
thanks for the note... it's fixed in cvs now...